RDLog.h File Reference
`#include <iostream>`

Go to the source code of this file.

## Classes

class | boost::logging::rdLogger

## Namespaces

| boost
| boost::logging
| RDLog

## Macros

#define | BOOST_LOG(__arg__) if((!__arg__)||(!__arg__->dp_dest)||!(__arg__->df_enabled)) ; else RDLog::toStream(*(__arg__->dp_dest))

## Functions

void | boost::logging::enable_logs (const char *arg)
void | boost::logging::enable_logs (const std::string &arg)
void | boost::logging::disable_logs (const char *arg)
void | boost::logging::disable_logs (const std::string &arg)
std::ostream & | RDLog::toStream (std::ostream &)
void | RDLog::InitLogs ()

## Variables

boost::logging::rdLogger * | rdAppLog
boost::logging::rdLogger * | rdDebugLog
boost::logging::rdLogger * | rdInfoLog
boost::logging::rdLogger * | rdErrorLog
boost::logging::rdLogger * | rdWarningLog
boost::logging::rdLogger * | rdStatusLog

## Macro Definition Documentation

#define BOOST_LOG | ( |  | __arg__ | ) | if((!__arg__)||(!__arg__->dp_dest)||!(__arg__->df_enabled)) ; else RDLog::toStream(*(__arg__->dp_dest))

Definition at line 42 of file RDLog.h.

## Variable Documentation

boost::logging::rdLogger* rdAppLog

boost::logging::rdLogger* rdDebugLog

boost::logging::rdLogger* rdErrorLog

boost::logging::rdLogger* rdInfoLog

boost::logging::rdLogger* rdStatusLog

boost::logging::rdLogger* rdWarningLog